## kraft 0.40

=== CMakeLists.txt ===
project(kraft)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/ ${CMAKE_MODULE_PATH} )

find_package(KDE4 4.4.0 REQUIRED) 
find_package (KdepimLibs REQUIRED)
find_package(Ctemplate REQUIRED)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include(KDE4Defaults)

include_directories(${KDE4_INCLUDES} ${QT_INCLUDES} src)

add_subdirectory(cmake)
add_subdirectory(src)
add_subdirectory(database)
add_subdirectory(reports)
add_subdirectory(importfilter)
add_subdirectory(tools)
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )
add_subdirectory( doc-translations )

=== database/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

add_subdirectory(mysql)
add_subdirectory(sqlite3)


########### install files ###############

#

=== importfilter/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )


########### install files ###############

install(FILES woerlein_txt.ftr standard_txt.ftr DESTINATION ${DATA_INSTALL_DIR}/kraft/importfilter/positions/)



#original Makefile.am contents follow:

#
#migrationsdir = $(kde_datadir)/kraft/dbmigrate
#migrations_DATA = README 2_dbmigrate.sql 3_dbmigrate.sql 4_dbmigrate.sql \
#5_dbmigrate.sql 6_dbmigrate.sql 7_dbmigrate.sql 8_dbmigrate.sql \
#9_dbmigrate.sql 10_dbmigrate.sql 11_dbmigrate.sql

=== po/CMakeLists.txt ===
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( ga )
add_subdirectory( lt )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )

=== reports/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

add_subdirectory(pics)


########### install files ###############

install(FILES invoice.trml kraftdoc_ro.trml DESTINATION ${DATA_INSTALL_DIR}/kraft/reports)

=== src/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} ${KDEPIMLIBS_INCLUDE_DIRS})

add_subdirectory(pics)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

########### next target ###############

set( kraftcat_LIB_SRCS
    catalogtemplate.cpp
    katalog.cpp
    katalogman.cpp
    brunskatalog.cpp
    brunsrecord.cpp
    defaultprovider.cpp
    doctext.cpp
    doctype.cpp
    kataloglistview.cpp
    katalogview.cpp
    brunskataloglistview.cpp
    brunskatalogview.cpp
    filterheader.cpp
    catalogchapteredit.cpp
    kraftdb.cpp
    geld.cpp
    einheit.cpp
    attribute.cpp
    numbercycle.cpp
    )


kde4_add_ui_files(kraftcat_LIB_SRCS calctemplate.ui dbinit.ui
createdb.ui
dbselect.ui
mysqldetails.ui
sqlitedetails.ui
statuspage.ui
upgradedb.ui )

kde4_add_kcfg_files(kraftcat_LIB_SRCS databasesettings.kcfgc kraftsettings.kcfgc)

kde4_add_library(kraftcat SHARED ${kraftcat_LIB_SRCS})

target_link_libraries(kraftcat ${KDE4_KDECORE_LIBS}  ${KDE4_KIO_LIBS} ${QT_QTSQL_LIBRARY} ${KDE4_KDEUI_LIBS})

set_target_properties(kraftcat PROPERTIES VERSION 1.0.0 SOVERSION 1)
install(TARGETS kraftcat ${INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

LINK_DIRECTORIES( lib )
set(kplant_SRCS brunsviewmain.cpp brunsviewer.cpp)

kde4_add_executable(kplant ${kplant_SRCS} )

target_link_libraries(kplant kraftcat ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS kplant ${INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

set(kraft_SRCS
    templkatalog.cpp
    docposition.cpp
    matkatalog.cpp
    zeitcalcpart.cpp
    fixcalcpart.cpp
    floskeltemplate.cpp
    floskel.cpp
    calcpart.cpp
    kraftview.cpp
    kraftdoc.cpp
    main.cpp
    unitmanager.cpp
    stockmaterial.cpp
    stockmaterialman.cpp
    materialcalcpart.cpp
    flostempldialog.cpp
    stdsatzman.cpp
    materialtempldialog.cpp
    zeitcalcdialog.cpp
    fixcalcdialog.cpp
    matcalcdialog.h
    matcalcdialog.cpp
    templatesaverbase.cpp
    templatesaverdb.cpp
    materialsaverbase.cpp
    materialsaverdb.cpp
    prefsdialog.cpp
    prefswages.cpp
    prefsunits.cpp
    templkatalogview.cpp
    templkataloglistview.cpp
    positionviewwidget.cpp
    documentsaverbase.cpp
    documentsaverdb.cpp
    documentman.cpp
    docdigest.cpp
    docdigestview.cpp
    doctypeedit.cpp
    portal.cpp
    portalview.cpp
    archiveman.cpp
    reportgenerator.cpp
    htmlview.cpp
    docpostcard.cpp
    catalogselection.cpp
    kraftdocheaderedit.cpp
    kraftdocfooteredit.cpp
    inserttempldialog.cpp
    archdocposition.cpp
    archdoc.cpp
    materialkataloglistview.cpp
    materialkatalogview.cpp
    materialselectdialog.cpp
    kraftdocedit.cpp
    kraftdocpositionsedit.cpp
    portalhtmlview.cpp
    templtopositiondialogbase.cpp
    insertplantdialog.cpp
    headerselection.cpp
    textselection.cpp
    newdocassistant.cpp
    docassistant.cpp
    texteditdialog.cpp
    templateprovider.cpp
    headertemplateprovider.cpp
    footertemplateprovider.cpp
    catalogtemplateprovider.cpp
    addresstemplateprovider.cpp
    texttemplate.cpp
    doclocaledialog.cpp
    tagman.cpp
    positiontagdialog.cpp
    tagtemplatesdialog.cpp
    importitemdialog.cpp
    importfilter.cpp
    kraftview_ro.cpp
    taxeditdialog.cpp
    numbercycledialog.cpp
    impviewwidgets.cpp
    addressselection.cpp
    setupassistant.cpp
)

kde4_add_kcfg_files(kraft_SRCS databasesettings.kcfgc kraftsettings.kcfgc)

kde4_add_ui_files(kraft_SRCS
    zeitpartui.ui
    fixpartui.ui
    matpartui.ui
    inserttmplbase.ui
    materialdialog.ui
    insertplantbase.ui
    docheader.ui
    positionwidget.ui
    docfooter.ui
    texteditbase.ui
    positionwidget.ui
    doctypeeditbase.ui
    taxeditbase.ui
    wageseditbase.ui
    unitseditbase.ui
    importtodocbase.ui
    numbercycleseditbase.ui

)

kde4_add_executable(kraft ${kraft_SRCS})

target_link_libraries(kraft kraftcat akonadi-contact ${QT_AND_KDECORE_LIBS} ${QT_QTSQL_LIBRARY} ${KDE4_KHTML_LIBS} ${KDE4_KDEUI_LIBS} ${KDEPIMLIBS_KABC_LIBS} ${KDE4_KIO_LIBS} ctemplate pthread)

install(TARGETS kraft ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install(FILES  kraft.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES  kraftsettings.kcfg databasesettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES  docoverview.css docoverview_ro.css catalogview.css DESTINATION ${DATA_INSTALL_DIR}/kraft)
install(FILES  kraftui.rc katalogview.rc DESTINATION ${DATA_INSTALL_DIR}/kraft)

kde4_install_icons(${ICON_INSTALL_DIR})

=== tools/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

########### install files ###############
install(PROGRAMS trml2pdf_kraft.sh DESTINATION ${KDE4_BIN_INSTALL_DIR} )

=== cmake/modules/CMakeLists.txt ===
# explicitely install the "public" cmake files

set(cmakeFiles
  FindCtemplate.cmake
)

install(FILES ${cmakeFiles} DESTINATION ${DATA_INSTALL_DIR}/cmake/modules)

=== reports/pics/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )


########### install files ###############

install(FILES  lurchie.png DESTINATION ${DATA_INSTALL_DIR}/kraft/reports/images)

=== src/pics/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )


########### install files ###############

install(FILES  kplant_splash.png DESTINATION ${DATA_INSTALL_DIR}/kplant/pics)
install(FILES  kraftsplash.png muckilogo_oS.png mucki_en_oS.png muckilogo_oS.png docoverviewbg.png DESTINATION ${DATA_INSTALL_DIR}/kraft/pics)

kde4_install_icons(${ICON_INSTALL_DIR})



#original Makefile.am contents follow:

#kplantsplashdir = $(kde_datadir)/kplant/pics
#kplantsplash_DATA = kplant_splash.png
#
#kraftsplashdir = $(kde_datadir)/kraft/pics
#kraftsplash_DATA = muckilogo_oS.png mucki_en_oS.png muckilogo_oS.png docoverviewbg.png
#
#KDE_ICON = kraft alternative demand 
#

=== database/mysql/migration/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )


########### install files ###############

install(FILES  README 2_dbmigrate.sql 3_dbmigrate.sql 4_dbmigrate.sql  
                      5_dbmigrate.sql 6_dbmigrate.sql 7_dbmigrate.sql 
                      8_dbmigrate.sql  9_dbmigrate.sql 10_dbmigrate.sql 
                      11_dbmigrate.sql 12_dbmigrate.sql 13_dbmigrate.sql
                      14_dbmigrate.sql 15_dbmigrate.sql 16_dbmigrate.sql
                      DESTINATION ${DATA_INSTALL_DIR}/kraft/dbmigrate/mysql)



#original Makefile.am contents follow:

#
#migrationsdir = $(kde_datadir)/kraft/dbmigrate
#migrations_DATA = README 2_dbmigrate.sql 3_dbmigrate.sql 4_dbmigrate.sql \
#5_dbmigrate.sql 6_dbmigrate.sql 7_dbmigrate.sql 8_dbmigrate.sql \
#9_dbmigrate.sql 10_dbmigrate.sql 11_dbmigrate.sql

=== database/sqlite3/migration/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )


########### install files ###############

install(FILES  README 2_dbmigrate.sql 3_dbmigrate.sql 4_dbmigrate.sql  
                      5_dbmigrate.sql 6_dbmigrate.sql 7_dbmigrate.sql 
                      8_dbmigrate.sql  9_dbmigrate.sql 10_dbmigrate.sql 
                      11_dbmigrate.sql 12_dbmigrate.sql 13_dbmigrate.sql
                      14_dbmigrate.sql 15_dbmigrate.sql 16_dbmigrate.sql
                      DESTINATION ${DATA_INSTALL_DIR}/kraft/dbmigrate/sqlite3)



#original Makefile.am contents follow:

#
#migrationsdir = $(kde_datadir)/kraft/dbmigrate
#migrations_DATA = README 2_dbmigrate.sql 3_dbmigrate.sql 4_dbmigrate.sql \
#5_dbmigrate.sql 6_dbmigrate.sql 7_dbmigrate.sql 8_dbmigrate.sql \
#9_dbmigrate.sql 10_dbmigrate.sql 11_dbmigrate.sql

=== debian/changelog ===
kraft (0.40-1) unstable; urgency=low

  [ Mark Purcell ]
  * Initial Upload to Debian (Closes: #580718)
  * Maintainer: Debian KDE Extras Team & add myself to Uploaders
  * Switch to dh 7

  [ Felix Geyer ]
  * Depend on libqt4-sql-sqlite and recommend libqt4-sql-mysql.
  * Update debian/copyright.
  * Add watch file.
  * Change homepage to http://volle-kraft-voraus.de/.
  * Add cmake to build-deps and drop docbook2x.
  * Enable parallel building.
  * Add 01_dont_install_cmake_script.patch to prevent Kraft from installing
    FindCtemplate.cmake.
  * Add 02_fix_desktop_file.patch to remove duplicate "Encoding" entries.
  * Add Vcs fields in debian/control.
  * Add manpages for kraft and kplant.
  * Install demand.png and alternative.png to private icons dir to prevent
    possible file conflicts.
  * Add myself to Uploaders.

 -- Mark Purcell <msp@debian.org>  Sat, 05 Jun 2010 10:48:53 +1000

kraft (0.40-0ubuntu1~ppa1) karmic; urgency=low

  * Add cdbs as build dep
  * Downgrade debhelper to version 7
  * Port rules file to cdbs and pkd-kde-tools
  * Remove debian/source
  * Change debian/compat from 7 to 5

 -- Rohan Garg <rohan16garg@gmail.com>  Wed, 14 Apr 2010 21:48:30 +0530

kraft (0.40b2+really0.40-0ubuntu1~ppa1) lucid; urgency=low

  * New upstream release
  * Remove old docbook from debian/

 -- Rohan Garg <rohan16garg@gmail.com>  Wed, 14 Apr 2010 20:41:24 +0530

kraft (0.40b2-0ubuntu1~ppa3) lucid; urgency=low

  * Updated rules file to use pkg-kde-tools
  * Added libboost1.40-dev as build dep

 -- Rohan Garg <rohan16garg@gmail.com>  Thu, 25 Mar 2010 20:14:55 +0530

kraft (0.40b2-0ubuntu1~ppa2) lucid; urgency=low

  * Added kdelibs5-dev as a build dep

 -- Rohan Garg <rohan16garg@gmail.com>  Thu, 25 Mar 2010 01:15:07 +0530

kraft (0.40b2-0ubuntu1~ppa1) lucid; urgency=low

  * New Upstream release
  * Really switch to debian 3.0 format
  * Switch to pkg-kde-tools from deprecated cdbs
  * Add kdepimlibs5-dev, libctemplate-dev, python-trml2pdf, libctemplate0, pdftk, libqt4-sql-sqlite, libkdepim4, as build deps
  * Bumped Standards version to 3.8.4
  * Changed Upstream link to  http://sourceforge.net/projects/kraft/

 -- Rohan Garg <rohan16garg@gmail.com>  Wed, 24 Mar 2010 23:41:22 +0530

kraft (0.20-0ubuntu2) karmic; urgency=low

  * kraft/src/katalogview.cpp: #include <cstdlib> for getenv.
  * kraft/src/unitmanager.cpp: add missing <cstdlib> include for abs.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Tue, 29 Sep 2009 23:18:28 +0200

kraft (0.20-0ubuntu1) hardy; urgency=low

  * Initial release.

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Tue, 11 Dec 2007 21:17:11 +0200

=== debian/control ===
Source: kraft
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
           Jonathan Patrick Davies <jpatrick@kubuntu.org>,
           Felix Geyer <debfx-pkg@fobos.de>
Build-Depends: debhelper (>= 7.3.16~),
               pkg-kde-tools,
               cmake,
               kdelibs5-dev,
               kdepimlibs5-dev,
               libqt4-sql-sqlite,
               libctemplate-dev,
               libboost1.42-dev
Standards-Version: 3.8.4
Homepage: http://volle-kraft-voraus.de/
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kraft/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kraft/?op=log

Package: kraft
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqt4-sql-sqlite,
         python-trml2pdf,
         pdftk
Recommends: libqt4-sql-mysql
Description: small business-management application
 Kraft is an application for people who operate a small business. Kraft helps to
 write business communication documents like offers and invoices.
 .
 Kraft is not a program specialised on a certain trade or craft. Instead Kraft
 covers the practical issues of a small business and helps through ease of use
 yet powerful features to deal with most of the office jobs effectively.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --parallel --with kde $@

override_dh_auto_install:
	dh_auto_install

	# move these icons to private icons folder to prevent possible conflicts
	mv debian/kraft/usr/share/icons/hicolor/16x16/actions/demand.png \
	    debian/kraft/usr/share/kde4/apps/kraft/icons/hicolor/16x16/actions
	mv debian/kraft/usr/share/icons/hicolor/16x16/actions/alternative.png \
	    debian/kraft/usr/share/kde4/apps/kraft/icons/hicolor/16x16/actions
	rmdir debian/kraft/usr/share/icons/hicolor/16x16/actions

	mv debian/kraft/usr/share/icons/crystalsvg/16x16/actions/demand.png \
	    debian/kraft/usr/share/kde4/apps/kraft/icons/crystalsvg/16x16/actions
	mv debian/kraft/usr/share/icons/crystalsvg/16x16/actions/alternative.png \
	    debian/kraft/usr/share/kde4/apps/kraft/icons/crystalsvg/16x16/actions
	rmdir debian/kraft/usr/share/icons/crystalsvg/16x16/actions

=== debian/watch ===
version=3
http://sf.net/kraft/ kraft-(\d[\d_.]+)\.tar\.(?:bz2|gz)

## kraft 0.43

=== po/CMakeLists.txt ===
add_subdirectory( bg )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( ja )
add_subdirectory( lt )
add_subdirectory( mai )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( ug )
add_subdirectory( uk )
add_subdirectory( zh_CN )

=== reports/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

add_subdirectory(pics)


########### install files ###############

install(FILES invoice.trml kraftdoc_ro.trml docdigest.trml DESTINATION ${DATA_INSTALL_DIR}/kraft/reports)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} ${KDEPIMLIBS_INCLUDE_DIRS})
+include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} ${KDEPIMLIBS_INCLUDE_DIRS} external)
 
 add_subdirectory(pics)
 
@@ -9,6 +9,7 @@
 
 set( kraftcat_LIB_SRCS
     catalogtemplate.cpp
+    catalogchapter.cpp
     katalog.cpp
     katalogman.cpp
     brunskatalog.cpp
@@ -21,13 +22,14 @@
     brunskataloglistview.cpp
     brunskatalogview.cpp
     filterheader.cpp
-    catalogchapteredit.cpp
     kraftdb.cpp
     geld.cpp
     einheit.cpp
     attribute.cpp
     numbercycle.cpp
+    addeditchapterdialog.cpp
     )
+
 
 
 kde4_add_ui_files(kraftcat_LIB_SRCS calctemplate.ui dbinit.ui
@@ -44,12 +46,11 @@
 
 target_link_libraries(kraftcat ${KDE4_KDECORE_LIBS}  ${KDE4_KIO_LIBS} ${QT_QTSQL_LIBRARY} ${KDE4_KDEUI_LIBS})
 
-set_target_properties(kraftcat PROPERTIES VERSION 1.0.0 SOVERSION 1)
-install(TARGETS kraftcat ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS kraftcat LIBRARY DESTINATION lib/kraft)
+SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_RPATH};${CMAKE_INSTALL_PREFIX}/lib/kraft")
 
 ########### next target ###############
 
-LINK_DIRECTORIES( lib )
 set(kplant_SRCS brunsviewmain.cpp brunsviewer.cpp)
 
 kde4_add_executable(kplant ${kplant_SRCS} )
@@ -64,7 +65,7 @@
     templkatalog.cpp
     docposition.cpp
     matkatalog.cpp
-    zeitcalcpart.cpp
+    timecalcpart.cpp
     fixcalcpart.cpp
     floskeltemplate.cpp
     floskel.cpp
@@ -79,7 +80,7 @@
     flostempldialog.cpp
     stdsatzman.cpp
     materialtempldialog.cpp
-    zeitcalcdialog.cpp
+    timecalcdialog.cpp
     fixcalcdialog.cpp
     matcalcdialog.h
     matcalcdialog.cpp
@@ -142,12 +143,18 @@
     impviewwidgets.cpp
     addressselection.cpp
     setupassistant.cpp
+    models/documentmodel.cpp
+    models/documentproxymodels.cpp
+    models/modeltest.cpp
+    docdigestdetailview.cpp
+    external/ktreeviewsearchline.cpp
+    addressprovider.cpp
 )
 
 kde4_add_kcfg_files(kraft_SRCS databasesettings.kcfgc kraftsettings.kcfgc)
 
 kde4_add_ui_files(kraft_SRCS
-    zeitpartui.ui
+    timepart.ui
     fixpartui.ui
     matpartui.ui
     inserttmplbase.ui
@@ -178,7 +185,6 @@
 
 install(FILES  kraft.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 install(FILES  kraftsettings.kcfg databasesettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
-install(FILES  docoverview.css docoverview_ro.css catalogview.css DESTINATION ${DATA_INSTALL_DIR}/kraft)
 install(FILES  kraftui.rc katalogview.rc DESTINATION ${DATA_INSTALL_DIR}/kraft)
 
 kde4_install_icons(${ICON_INSTALL_DIR})

=== debian/changelog ===
kraft (0.43-1) unstable; urgency=low

  * New upstream release

  [ Mark Purcell ]
  * Update debian/copyright
  * Update Build-Depends: libboost1.46-dev
  * Drop 02_fix_desktop_file.patch - fixed upstream
  * Drop private icons folder - fixed upstream

  [ Felix Geyer ]
  * Add 03_fix_ftbfs_no-add-needed.patch to link kraft against libakonadi-kde.
    (Closes: #615737)

 -- Mark Purcell <msp@debian.org>  Fri, 10 Jun 2011 17:28:53 +1000

## kraft 0.45

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 project(kraft)
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/ ${CMAKE_MODULE_PATH} )
+set(CMAKE_INSTALL_PREFIX "/usr")
 
 find_package(KDE4 4.4.0 REQUIRED) 
 find_package (KdepimLibs REQUIRED)
@@ -18,7 +19,9 @@
 add_subdirectory(reports)
 add_subdirectory(importfilter)
 add_subdirectory(tools)
+add_subdirectory(styles)
+
+
 find_package(Msgfmt REQUIRED)
 find_package(Gettext REQUIRED)
 add_subdirectory( po )
-add_subdirectory( doc-translations )

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 add_subdirectory( mai )
 add_subdirectory( nds )
 add_subdirectory( nl )
+add_subdirectory( pl )
 add_subdirectory( pt )
 add_subdirectory( pt_BR )
 add_subdirectory( sv )

=== reports/CMakeLists.txt ===
--- 
+++ 
@@ -8,3 +8,5 @@
 
 install(FILES invoice.trml kraftdoc_ro.trml docdigest.trml DESTINATION ${DATA_INSTALL_DIR}/kraft/reports)
 
+# localised document templates:
+install(FILES de/invoice.trml DESTINATION ${DATA_INSTALL_DIR}/kraft/reports/de)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -44,7 +44,7 @@
 
 kde4_add_library(kraftcat SHARED ${kraftcat_LIB_SRCS})
 
-target_link_libraries(kraftcat ${KDE4_KDECORE_LIBS}  ${KDE4_KIO_LIBS} ${QT_QTSQL_LIBRARY} ${KDE4_KDEUI_LIBS})
+target_link_libraries(kraftcat ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${QT_QTSQL_LIBRARY} ${KDE4_KDEUI_LIBS})
 
 install(TARGETS kraftcat LIBRARY DESTINATION lib/kraft)
 SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_RPATH};${CMAKE_INSTALL_PREFIX}/lib/kraft")
@@ -120,7 +120,6 @@
     portalhtmlview.cpp
     templtopositiondialogbase.cpp
     insertplantdialog.cpp
-    headerselection.cpp
     textselection.cpp
     newdocassistant.cpp
     docassistant.cpp
@@ -129,7 +128,6 @@
     headertemplateprovider.cpp
     footertemplateprovider.cpp
     catalogtemplateprovider.cpp
-    addresstemplateprovider.cpp
     texttemplate.cpp
     doclocaledialog.cpp
     tagman.cpp
@@ -141,14 +139,15 @@
     taxeditdialog.cpp
     numbercycledialog.cpp
     impviewwidgets.cpp
-    addressselection.cpp
     setupassistant.cpp
     models/documentmodel.cpp
     models/documentproxymodels.cpp
-    models/modeltest.cpp
     docdigestdetailview.cpp
     external/ktreeviewsearchline.cpp
     addressprovider.cpp
+    akonadiaddressselector.cpp
+    models/globalcontactmodel.cpp
+    quicksearchwidget.cpp
 )
 
 kde4_add_kcfg_files(kraft_SRCS databasesettings.kcfgc kraftsettings.kcfgc)
@@ -176,7 +175,8 @@
 
 kde4_add_executable(kraft ${kraft_SRCS})
 
-target_link_libraries(kraft kraftcat akonadi-contact ${QT_AND_KDECORE_LIBS} ${QT_QTSQL_LIBRARY} ${KDE4_KHTML_LIBS} ${KDE4_KDEUI_LIBS} ${KDEPIMLIBS_KABC_LIBS} ${KDE4_KIO_LIBS} ctemplate pthread)
+target_link_libraries(kraft kraftcat ${QT_AND_KDECORE_LIBS} ${QT_QTSQL_LIBRARY} ${KDE4_KHTML_LIBS} ${KDE4_KDEUI_LIBS}
+	${KDEPIMLIBS_KABC_LIBS} ${KDEPIMLIBS_AKONADI_CONTACT_LIBS} ${KDE4_KIO_LIBS} ctemplate pthread)
 
 install(TARGETS kraft ${INSTALL_TARGETS_DEFAULT_ARGS})

=== cmake/modules/CMakeLists.txt ===
# explicitely install the "public" cmake files

set(cmakeFiles
  FindCtemplate.cmake
)

# install(FILES ${cmakeFiles} DESTINATION ${DATA_INSTALL_DIR}/cmake/modules)

=== database/mysql/CMakeLists.txt ===

add_subdirectory(migration)


########### install files ###############

install(FILES create_schema.sql fill_schema_de.sql fill_schema_en.sql  DESTINATION ${DATA_INSTALL_DIR}/kraft/dbinit/mysql)



#original Makefile.am contents follow:

#dbinitdir = $(kde_datadir)/kraft/dbinit
#dbinit_DATA = create_schema.sql fill_schema_de.sql fill_schema_en.sql 
#
#SUBDIRS = migration
#

=== database/sqlite3/CMakeLists.txt ===

add_subdirectory(migration)


########### install files ###############

install(FILES create_schema.sql fill_schema_de.sql fill_schema_en.sql  DESTINATION ${DATA_INSTALL_DIR}/kraft/dbinit/sqlite3)



#original Makefile.am contents follow:

#dbinitdir = $(kde_datadir)/kraft/dbinit
#dbinit_DATA = create_schema.sql fill_schema_de.sql fill_schema_en.sql 
#
#SUBDIRS = migration
#

=== reports/pics/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )


########### install files ###############


install(FILES lurchie.png DESTINATION ${DATA_INSTALL_DIR}/kraft/reports/images)
install(FILES postit.png kraft_customer.png DESTINATION ${DATA_INSTALL_DIR}/kraft/reports/images/docdigestdetailview)

=== src/pics/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+
 
 include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )
 
@@ -5,7 +6,7 @@
 ########### install files ###############
 
 install(FILES  kplant_splash.png DESTINATION ${DATA_INSTALL_DIR}/kplant/pics)
-install(FILES  kraftsplash.png muckilogo_oS.png mucki_en_oS.png muckilogo_oS.png docoverviewbg.png DESTINATION ${DATA_INSTALL_DIR}/kraft/pics)
+install(FILES  kraftsplash.png docoverviewbg.png kraftapp_logo.png DESTINATION ${DATA_INSTALL_DIR}/kraft/pics)
 
 kde4_install_icons(${ICON_INSTALL_DIR})

=== database/mysql/migration/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
                       8_dbmigrate.sql  9_dbmigrate.sql 10_dbmigrate.sql 
                       11_dbmigrate.sql 12_dbmigrate.sql 13_dbmigrate.sql
                       14_dbmigrate.sql 15_dbmigrate.sql 16_dbmigrate.sql
+                      17_dbmigrate.sql 18_dbmigrate.sql
                       DESTINATION ${DATA_INSTALL_DIR}/kraft/dbmigrate/mysql)

=== database/sqlite3/migration/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
                       8_dbmigrate.sql  9_dbmigrate.sql 10_dbmigrate.sql 
                       11_dbmigrate.sql 12_dbmigrate.sql 13_dbmigrate.sql
                       14_dbmigrate.sql 15_dbmigrate.sql 16_dbmigrate.sql
+		      17_dbmigrate.sql 18_dbmigrate.sql
                       DESTINATION ${DATA_INSTALL_DIR}/kraft/dbmigrate/sqlite3)

=== debian/changelog ===
kraft (0.45-2) unstable; urgency=low

  [ Mark Purcell ]
  * Update Build-Depends: libboost-dev 
    - Fixes "update boost build-dep" (Closes: #672754)

  [ Felix Geyer ]
  * Remove myself from Uploaders.
  * Fix Vcs-Browser url.

 -- Mark Purcell <msp@debian.org>  Sun, 10 Jun 2012 15:23:33 +1000

kraft (0.45-1) unstable; urgency=low

  * New upstream release
    - Fixes "[kraft] New upstream release:" (Closes: #647890)
  * Drop 03_fix_ftbfs_no-add-needed.patch, included upstream

 -- Mark Purcell <msp@debian.org>  Sun, 13 Nov 2011 08:40:16 +1100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
-           Jonathan Patrick Davies <jpatrick@kubuntu.org>,
-           Felix Geyer <debfx-pkg@fobos.de>
+           Jonathan Patrick Davies <jpatrick@kubuntu.org>
 Build-Depends: debhelper (>= 7.3.16~),
                pkg-kde-tools,
                cmake,
@@ -12,11 +11,11 @@
                kdepimlibs5-dev,
                libqt4-sql-sqlite,
                libctemplate-dev,
-               libboost1.42-dev
+               libboost-dev
 Standards-Version: 3.8.4
 Homepage: http://volle-kraft-voraus.de/
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kraft/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kraft/?op=log
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kraft/
 
 Package: kraft
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --parallel --with kde $@

## kraft 0.50

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 project(kraft)
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/ ${CMAKE_MODULE_PATH} )
-set(CMAKE_INSTALL_PREFIX "/usr")
 
 find_package(KDE4 4.4.0 REQUIRED) 
 find_package (KdepimLibs REQUIRED)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,12 @@
 add_subdirectory( en_GB )
 add_subdirectory( eo )
 add_subdirectory( es )
+add_subdirectory( et )
+add_subdirectory( fi )
 add_subdirectory( fr )
 add_subdirectory( ga )
+add_subdirectory( hu )
+add_subdirectory( it )
 add_subdirectory( ja )
 add_subdirectory( lt )
 add_subdirectory( mai )
@@ -15,6 +19,7 @@
 add_subdirectory( pl )
 add_subdirectory( pt )
 add_subdirectory( pt_BR )
+add_subdirectory( sk )
 add_subdirectory( sv )
 add_subdirectory( tr )
 add_subdirectory( ug )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -46,18 +46,7 @@
 
 target_link_libraries(kraftcat ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${QT_QTSQL_LIBRARY} ${KDE4_KDEUI_LIBS})
 
-install(TARGETS kraftcat LIBRARY DESTINATION lib/kraft)
-SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_RPATH};${CMAKE_INSTALL_PREFIX}/lib/kraft")
-
-########### next target ###############
-
-set(kplant_SRCS brunsviewmain.cpp brunsviewer.cpp)
-
-kde4_add_executable(kplant ${kplant_SRCS} )
-
-target_link_libraries(kplant kraftcat ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS})
-
-install(TARGETS kplant ${INSTALL_TARGETS_DEFAULT_ARGS})
+LINK_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/lib)
 
 ########### next target ###############
 
@@ -146,6 +135,7 @@
     external/ktreeviewsearchline.cpp
     addressprovider.cpp
     akonadiaddressselector.cpp
+    akonadiaddressselectordialog.cpp
     models/globalcontactmodel.cpp
     quicksearchwidget.cpp
 )
@@ -178,8 +168,12 @@
 target_link_libraries(kraft kraftcat ${QT_AND_KDECORE_LIBS} ${QT_QTSQL_LIBRARY} ${KDE4_KHTML_LIBS} ${KDE4_KDEUI_LIBS}
 	${KDEPIMLIBS_KABC_LIBS} ${KDEPIMLIBS_AKONADI_CONTACT_LIBS} ${KDE4_KIO_LIBS} ctemplate pthread)
 
-install(TARGETS kraft ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS kraft RUNTIME DESTINATION bin
+	   LIBRARY DESTINATION lib
+	   ARCHIVE DESTINATION lib)
 
+set_target_properties( kraftcat PROPERTIES VERSION 0.50.0 SOVERSION 0)
+install( TARGETS kraftcat ${INSTALL_TARGETS_DEFAULT_ARGS})
 
 ########### install files ###############

=== styles/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

########### install files ###############

install(FILES templcatalog.style DESTINATION ${DATA_INSTALL_DIR}/kraft/styles)
install(FILES docoverview.css docoverview_ro.css catalogview.css DESTINATION ${DATA_INSTALL_DIR}/kraft)

=== tools/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

########### install files ###############
install(FILES erml2pdf.py  DESTINATION ${DATA_INSTALL_DIR}/kraft/tools )

=== debian/changelog ===
kraft (0.50-1ubuntu1) raring; urgency=low

  * Add build-depends on nepmok-core-dev needed with KDE SC 4.10

 -- Scott Kitterman <scott@kitterman.com>  Sun, 23 Dec 2012 19:59:53 -0500

kraft (0.50-1) experimental; urgency=low

  * New upstream release
  * debian/compat -> 9
  * Added Depends: python-pypdf
  * Updated Description: 
    - Fixes "Please explain what it does in the description" (Closes: #678934)

 -- Mark Purcell <msp@debian.org>  Sun, 23 Dec 2012 12:49:08 +1100

=== debian/control ===
Source: kraft
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
           Jonathan Patrick Davies <jpatrick@kubuntu.org>
Build-Depends: debhelper (>= 9),
               pkg-kde-tools,
               cmake,
               kdelibs5-dev,
               kdepimlibs5-dev,
               libqt4-sql-sqlite,
               libctemplate-dev,
               libboost-dev,
               nepomuk-core-dev
Standards-Version: 3.8.4
Homepage: http://volle-kraft-voraus.de/
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kraft/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kraft/

Package: kraft
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqt4-sql-sqlite,
         python-trml2pdf,
         pdftk, python-pypdf
Recommends: libqt4-sql-mysql
Description: small business-management application
 Kraft creates and handless office documents in small enterprises. In a workshop
 or any similar company daily tasks can be done in a smart manner.
 .
 Features include:
  Customer management, integrated using KAddressbook
  Automated creation of quotes, invoices and similar documents
  Text templates
  Calculation
  Material management
  Configurable document creation in PDF format

## kraft 0.51

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -166,13 +166,13 @@
 kde4_add_executable(kraft ${kraft_SRCS})
 
 target_link_libraries(kraft kraftcat ${QT_AND_KDECORE_LIBS} ${QT_QTSQL_LIBRARY} ${KDE4_KHTML_LIBS} ${KDE4_KDEUI_LIBS}
-	${KDEPIMLIBS_KABC_LIBS} ${KDEPIMLIBS_AKONADI_CONTACT_LIBS} ${KDE4_KIO_LIBS} ctemplate pthread)
+	${KDEPIMLIBS_KABC_LIBS} ${KDEPIMLIBS_AKONADI_CONTACT_LIBS} ${KDE4_KIO_LIBS} ${CTEMPLATE_LIBRARIES} pthread)
 
 install(TARGETS kraft RUNTIME DESTINATION bin
 	   LIBRARY DESTINATION lib
 	   ARCHIVE DESTINATION lib)
 
-set_target_properties( kraftcat PROPERTIES VERSION 0.50.0 SOVERSION 0)
+set_target_properties( kraftcat PROPERTIES VERSION 0.51.0 SOVERSION 0)
 install( TARGETS kraftcat ${INSTALL_TARGETS_DEFAULT_ARGS})
 
 ########### install files ###############

=== reports/pics/CMakeLists.txt ===
--- 
+++ 
@@ -7,3 +7,4 @@
 
 install(FILES lurchie.png DESTINATION ${DATA_INSTALL_DIR}/kraft/reports/images)
 install(FILES postit.png kraft_customer.png DESTINATION ${DATA_INSTALL_DIR}/kraft/reports/images/docdigestdetailview)
+install(FILES identity.png DESTINATION ${DATA_INSTALL_DIR}/kraft/reports/images)

=== src/pics/CMakeLists.txt ===


include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )


########### install files ###############

install(FILES  kraftsplash.png docoverviewbg.png kraftapp_logo.png DESTINATION ${DATA_INSTALL_DIR}/kraft/pics)

kde4_install_icons(${ICON_INSTALL_DIR})

#

=== debian/changelog ===
kraft (0.51-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 23 Sep 2013 16:14:43 +0200

kraft (0.50-2) unstable; urgency=low

  * Upload to unstable
  * Update debian/control - fix vcs-field-not-canonical
  * Update debian/copyright - fix copyright-refers-to-symlink-license
  * Update Standards-Version: 3.9.4 - no changes

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 09:43:36 +1000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kraft
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
            Jonathan Patrick Davies <jpatrick@kubuntu.org>
@@ -12,11 +12,10 @@
                kdepimlibs5-dev,
                libqt4-sql-sqlite,
                libctemplate-dev,
-               libboost-dev,
-               nepomuk-core-dev
-Standards-Version: 3.8.4
+               libboost-dev
+Standards-Version: 3.9.4
 Homepage: http://volle-kraft-voraus.de/
-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kraft/trunk
+Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kraft/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kraft/
 
 Package: kraft
@@ -28,7 +27,7 @@
          pdftk, python-pypdf
 Recommends: libqt4-sql-mysql
 Description: small business-management application
- Kraft creates and handless office documents in small enterprises. In a workshop
+ Kraft creates and handles office documents in small enterprises. In a workshop
  or any similar company daily tasks can be done in a smart manner.
  .
  Features include:

## kraft 0.53

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 project(kraft)
+
+cmake_minimum_required(VERSION 2.6)
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/ ${CMAKE_MODULE_PATH} )
 
@@ -12,7 +14,6 @@
 
 include_directories(${KDE4_INCLUDES} ${QT_INCLUDES} src)
 
-add_subdirectory(cmake)
 add_subdirectory(src)
 add_subdirectory(database)
 add_subdirectory(reports)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 add_subdirectory( bg )
+add_subdirectory( bs )
 add_subdirectory( cs )
 add_subdirectory( da )
 add_subdirectory( de )
@@ -9,11 +10,13 @@
 add_subdirectory( fi )
 add_subdirectory( fr )
 add_subdirectory( ga )
+add_subdirectory( gl )
 add_subdirectory( hu )
 add_subdirectory( it )
 add_subdirectory( ja )
 add_subdirectory( lt )
 add_subdirectory( mai )
+add_subdirectory( mr )
 add_subdirectory( nds )
 add_subdirectory( nl )
 add_subdirectory( pl )

=== reports/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,4 @@
-
-include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )
-
 add_subdirectory(pics)
-
 
 ########### install files ###############

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,3 @@
-
 include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} ${KDEPIMLIBS_INCLUDE_DIRS} external)
 
 add_subdirectory(pics)
@@ -172,7 +171,7 @@
 	   LIBRARY DESTINATION lib
 	   ARCHIVE DESTINATION lib)
 
-set_target_properties( kraftcat PROPERTIES VERSION 0.51.0 SOVERSION 0)
+set_target_properties( kraftcat PROPERTIES VERSION 0.52.0 SOVERSION 0)
 install( TARGETS kraftcat ${INSTALL_TARGETS_DEFAULT_ARGS})
 
 ########### install files ###############
@@ -180,7 +179,3 @@
 install(FILES  kraft.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 install(FILES  kraftsettings.kcfg databasesettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
 install(FILES  kraftui.rc katalogview.rc DESTINATION ${DATA_INSTALL_DIR}/kraft)
-
-kde4_install_icons(${ICON_INSTALL_DIR})
-
-

=== tools/CMakeLists.txt ===
########### install files ###############

install(FILES erml2pdf.py  DESTINATION ${DATA_INSTALL_DIR}/kraft/tools )

=== src/pics/CMakeLists.txt ===
add_subdirectory(global)

########### install files ###############

install(FILES  kraftsplash.png docoverviewbg.png kraftapp_logo.png DESTINATION ${DATA_INSTALL_DIR}/kraft/pics)

kde4_install_icons(${DATA_INSTALL_DIR}/kraft/icons)

=== database/mysql/migration/CMakeLists.txt ===
########### install files ###############

install(FILES  README 2_dbmigrate.sql 3_dbmigrate.sql 4_dbmigrate.sql  
                      5_dbmigrate.sql 6_dbmigrate.sql 7_dbmigrate.sql 
                      8_dbmigrate.sql  9_dbmigrate.sql 10_dbmigrate.sql 
                      11_dbmigrate.sql 12_dbmigrate.sql 13_dbmigrate.sql
                      14_dbmigrate.sql 15_dbmigrate.sql 16_dbmigrate.sql
                      17_dbmigrate.sql 18_dbmigrate.sql
                      DESTINATION ${DATA_INSTALL_DIR}/kraft/dbmigrate/mysql)

=== database/sqlite3/migration/CMakeLists.txt ===
########### install files ###############

install(FILES  README 2_dbmigrate.sql 3_dbmigrate.sql 4_dbmigrate.sql  
                      5_dbmigrate.sql 6_dbmigrate.sql 7_dbmigrate.sql 
                      8_dbmigrate.sql  9_dbmigrate.sql 10_dbmigrate.sql 
                      11_dbmigrate.sql 12_dbmigrate.sql 13_dbmigrate.sql
                      14_dbmigrate.sql 15_dbmigrate.sql 16_dbmigrate.sql
		      17_dbmigrate.sql 18_dbmigrate.sql
                      DESTINATION ${DATA_INSTALL_DIR}/kraft/dbmigrate/sqlite3)

=== debian/changelog ===
kraft (0.53-2) unstable; urgency=low

  * Team upload.
  * Drop kplant man page, since that executable does not exist anymore.
  * Drop kraft.dirs, useless now.
  * Link in as-needed mode.
  * Remove .so symlinks from the binary package.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Update kraft man page.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Jan 2014 09:48:40 +0100

kraft (0.53-1) unstable; urgency=low

  * New upstream release
  * Drop 01_dont_install_cmake_script.patch - included upstream

 -- Mark Purcell <msp@debian.org>  Sun, 13 Oct 2013 12:59:51 +1100

kraft (0.51-1) unstable; urgency=low

  * New upstream release
  * Add Build-Depends: nepomuk-core-dev

 -- Mark Purcell <msp@debian.org>  Sat, 28 Sep 2013 06:48:16 +1000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: kraft
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
            Jonathan Patrick Davies <jpatrick@kubuntu.org>
 Build-Depends: debhelper (>= 9),
                pkg-kde-tools,
                cmake,
-               kdelibs5-dev,
-               kdepimlibs5-dev,
+               kdelibs5-dev, kdepimlibs5-dev, nepomuk-core-dev,
                libqt4-sql-sqlite,
                libctemplate-dev,
                libboost-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://volle-kraft-voraus.de/
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kraft/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kraft/

=== debian/watch ===
version=3
http://sf.net/kraft/ kraft-(\d[\d_.]+)\.tar\.(?:bz2|gz) debian svn-upgrade

## kraft 0.55

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -44,8 +44,6 @@
 kde4_add_library(kraftcat SHARED ${kraftcat_LIB_SRCS})
 
 target_link_libraries(kraftcat ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${QT_QTSQL_LIBRARY} ${KDE4_KDEUI_LIBS})
-
-LINK_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/lib)
 
 ########### next target ###############
 
@@ -164,12 +162,10 @@
 
 kde4_add_executable(kraft ${kraft_SRCS})
 
-target_link_libraries(kraft kraftcat ${QT_AND_KDECORE_LIBS} ${QT_QTSQL_LIBRARY} ${KDE4_KHTML_LIBS} ${KDE4_KDEUI_LIBS}
+target_link_libraries(kraft kraftcat ${QT_QTSQL_LIBRARY} ${KDE4_KHTML_LIBS} ${KDE4_KDEUI_LIBS}
 	${KDEPIMLIBS_KABC_LIBS} ${KDEPIMLIBS_AKONADI_CONTACT_LIBS} ${KDE4_KIO_LIBS} ${CTEMPLATE_LIBRARIES} pthread)
 
-install(TARGETS kraft RUNTIME DESTINATION bin
-	   LIBRARY DESTINATION lib
-	   ARCHIVE DESTINATION lib)
+install(TARGETS kraft ${INSTALL_TARGETS_DEFAULT_ARGS})
 
 set_target_properties( kraftcat PROPERTIES VERSION 0.52.0 SOVERSION 0)
 install( TARGETS kraftcat ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kraft (0.55-1ubuntu2) wily; urgency=medium

  * No-change rebuild against libctemplate2v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 11:35:07 +0200

kraft (0.55-1ubuntu1) utopic; urgency=medium

  * Rebuild with build-dep on Nepomuk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Aug 2014 17:28:46 +0200

kraft (0.55-1) unstable; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Sat, 31 May 2014 10:07:40 +1000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: kraft
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
            Jonathan Patrick Davies <jpatrick@kubuntu.org>
 Build-Depends: debhelper (>= 9),
                pkg-kde-tools,
                cmake,
-               kdelibs5-dev, kdepimlibs5-dev, nepomuk-core-dev,
+               kdelibs5-dev, kdepimlibs5-dev,
                libqt4-sql-sqlite,
                libctemplate-dev,
                libboost-dev
